Subject: Re: [PATCH 1/3] netlink: fix NETLINK_RECV_NO_ENOBUFS in netlink_set_err()

From: Patrick McHardy <[email-masked]>
Date: Wed, 17 Mar 2010 16:26:56 +0100

Pablo Neira Ayuso wrote:
> Currently, ENOBUFS errors are reported to the socket via
> netlink_set_err() even if NETLINK_RECV_NO_ENOBUFS is set. However,
> that should not happen. This fixes this problem and it changes the
> prototype of netlink_set_err() to return the number of sockets whose
> error has been set. This allows to know if any error has been set.
> This return value is used in the next patch in these bugfix series.

But that only happens if we have a message allocate error, which is
a different situation than rcvqueue overrun, which I thought the
original patch was supposed to handle (disable netlink congestion
control).

Is there any problem with these errors?